Summary:	iLBC audio codec for mediastreamer
Summary(pl.UTF-8):	Kodek dźwięku iLBC dla mediastreamera
Name:		mediastreamer-plugin-msilbc
Version:	2.0.3
Release:	2
License:	GPL v2
Group:		Libraries
Source0:	http://download-mirror.savannah.gnu.org/releases/linphone/plugins/sources/msilbc-%{version}.tar.gz
# Source0-md5:	9c8740345dd8ee9732604a8f6a4329e6
Patch0:		msilbc-webrtc-libilbc.patch
URL:		http://git.exherbo.org/summer/packages/media-plugins/msilbc
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake
BuildRequires:	ortp-devel >= 0.16.0
BuildRequires:	webrtc-libilbc-devel
BuildRequires:	libtool >= 2:2
BuildRequires:	mediastreamer-devel >= 2.0.0
BuildRequires:	pkgconfig
Requires:	mediastreamer >= 2.0.0
Obsoletes:	msilbc
Obsoletes:	msilbc-devel
Obsoletes:	msilbc-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package supplies the mediastreamer plugin for the iLBC audio
codec, which is necessary to use the codec with Linphone.

%description -l pl.UTF-8
Ten pakiet udostępnia wtyczkę mediastreamera do kodeka dźwięku iLBC,
niezbędną do używania tego kodeka w programie Linphone.

%prep
%setup -q -n msilbc-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/mediastreamer/plugins/libmsilbc.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/mediastreamer/plugins/libmsilbc.so*
%changelog
* Wed Jul 03 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mediastreamer-plugin-msilbc.git;a=log;h=master

* Tue Jul 02 2013 Jakub Bogusz <qboosh@pld-linux.org> 2110b48
- proper packaging of mediastreamer plugin; no useless -devel or -static

* Mon Jun 17 2013 Jan Rękorajski <baggins@pld-linux.org> bb6a484
- release 2 (by relup.sh)

* Mon Nov 19 2012 Jan Rękorajski <baggins@pld-linux.org> 338d6f0
- updated to 2.0.3
- build with webrtc-libilbc

* Mon Nov 19 2012 Jan Rękorajski <baggins@pld-linux.org> 0d12df8
- BR webrtc-libilbc-devel
- rel 3

* Tue Jul 26 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 54ad0de
- release 2

* Fri Jan 21 2011 shadzik <shadzik@pld-linux.org> cf85845
- fix plugin dir

* Fri Jan 21 2011 shadzik <shadzik@pld-linux.org> 788ebac
- fix plugin dir
- thx sparky

* Fri Jan 21 2011 sparky <sparky@pld-linux.org> 63802d5
- libtoolize
- BR: libilbc-devel, libtool, pkgconfig
- fixed group name

* Fri Jan 21 2011 shadzik <shadzik@pld-linux.org> e14e56b
- BR mediastreamer-devel

* Fri Jan 21 2011 shadzik <shadzik@pld-linux.org> 80fc1ac
- initial
- NFY

